<?php

if (isset($GLOBALS['TL_DCA']['tl_article']) && !empty($GLOBALS['TL_DCA']['tl_article']['palettes'])) {
    // Palettes
    foreach ($GLOBALS['TL_DCA']['tl_article']['palettes'] as $key => $value) {
        $GLOBALS['TL_DCA']['tl_article']['palettes'][$key] = str_replace(',cssID', ',cssHelperSelector,cssID', $value);
    }

    // Fields
    $GLOBALS['TL_DCA']['tl_article']['fields']['cssHelperSelector'] = array
    (
        'label'            => &$GLOBALS['TL_LANG']['MSC']['cssHelperSelector'],
        'exclude'          => true,
        'inputType'        => 'select',
        'options_callback' => function () {
            return \CreoCode\ContaoCssHelper\Models\CssHelperSelectorModel::getCssHelperStyles(
                \CreoCode\ContaoCssHelper\Models\CssHelperSelectorModel::TYPE_ARTICLE
            );
        },
        'search'           => true,
        'eval'             => array('chosen' => true, 'multiple' => true, 'tl_class' => 'clr'),
        'save_callback'    => array
        (
            array('CreoCode\\ContaoCssHelper\\Classes\\CssHelperCore', 'saveCssIdCallback')
        ),
        'sql'              => "blob NULL"
    );
}
